Bug 208503 - API review: Enhance CodeStyle to support customization of the generated class members order
API review: Enhance CodeStyle to support customization of the generated class...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Dusan Balek
issues@java
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-16 12:24 UTC by Dusan Balek
Modified: 2012-02-22 11:00 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments
Proposed patch (188.99 KB, patch)
2012-02-16 12:31 UTC, Dusan Balek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dusan Balek 2012-02-16 12:24:07 UTC
Add CodeStyle.getClassMemberGroups, CodeStyle.getClassMemberInsertionPoint to support customization of the generated class members order (see Issue 200938, and Issue 201601).
Add CodeStyle.wrapAfterDotInChainedMethodCalls, CodeStyle.getBlankLinesAfterAnonymousClassHeader, CodeStyle.spaceAroundAnnotationValueAssignOps to support minor formatting enhancements (see Issue 131227, and Issue 192629).
Comment 1 Dusan Balek 2012-02-16 12:31:36 UTC
Created attachment 115813 [details]
Proposed patch
Comment 2 Dusan Balek 2012-02-21 14:40:32 UTC
Integrated into jet-main.

http://hg.netbeans.org/jet-main/rev/94b56d860bca
Comment 3 Quality Engineering 2012-02-22 11:00:54 UTC
Integrated into 'main-golden', will be available in build *201202220400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/94b56d860bca
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #208503: API review: Enhance CodeStyle to support customization of the generated class members order - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo